Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC/export.h: export symbols
[FLAC C API]

## Detailed Description

This module contains #defines and symbols for exporting function calls, and providing version information and compiled-in features.

## Defines
#define | FLAC_API
#define | FLAC_API_VERSION_CURRENT 8
#define | FLAC_API_VERSION_REVISION 1
#define | FLAC_API_VERSION_AGE 0
## Variables
int | FLAC_API_SUPPORTS_OGG_FLAC

## Define Documentation

#define FLAC_API_VERSION_CURRENT 8

| These #defines will mirror the libtool-based library version number, see http://www.gnu.org/software/libtool/manual.html#Libtool-versioning

#define FLAC_API_VERSION_REVISION 1

| see above

#define FLAC_API_VERSION_AGE 0

| see above

## Variable Documentation

int FLAC_API_SUPPORTS_OGG_FLAC

| `1` if the library has been compiled with support for Ogg FLAC, else `0`.

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |